<?php declare(strict_types=1);


namespace Pinpoint\DropShipping\Api\Data;


interface SupplierInterface extends \Magento\Framework\Api\ExtensibleDataInterface
{

    const CITY = 'city';
    const POST_CODE = 'post_code';
    const STREET = 'street';
    const STATUS = 'status';
    const COMPANY = 'company';
    const FIRST_EMAIL_ADDRESS = 'first_email_address';
    const GR_ACCOUNT_NUMBER = 'gr_account_number';
    const HOUSE_NUMBER = 'house_number';
    const COUNTRY = 'country';
    const METHOD = 'method';
    const PHONE = 'phone';
    const COUNTY = 'county';
    const SECOND_EMAIL_ADDRESS = 'second_email_address';
    const FEED_NAME = 'feed_name';
    const EMAIL_ADDRESS = 'email_address';
    const SUPPLIER_ID = 'supplier_id';
    const CODE = 'code';
    const OUTPUT_DIRECTORY = 'output_directory';
    const CONTACT_NAME = 'contact_name';

    /**
     * Get supplier_id
     * @return string|null
     */
    public function getSupplierId();

    /**
     * Set supplier_id
     * @param string $supplierId
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setSupplierId($supplierId);

    /**
     * Get code
     * @return string|null
     */
    public function getCode();

    /**
     * Set code
     * @param string $code
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setCode($code);

    /**
     * Retrieve existing extension attributes object or create a new one.
     * @return \Pinpoint\DropShipping\Api\Data\SupplierExtensionInterface|null
     */
    public function getExtensionAttributes();

    /**
     * Set an extension attributes object.
     * @param \Pinpoint\DropShipping\Api\Data\SupplierExtensionInterface $extensionAttributes
     * @return $this
     */
    public function setExtensionAttributes(
        \Pinpoint\DropShipping\Api\Data\SupplierExtensionInterface $extensionAttributes
    );

    /**
     * Get status
     * @return string|null
     */
    public function getStatus();

    /**
     * Set status
     * @param string $status
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setStatus($status);

    /**
     * Get gr_account_number
     * @return string|null
     */
    public function getGrAccountNumber();

    /**
     * Set gr_account_number
     * @param string $grAccountNumber
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setGrAccountNumber($grAccountNumber);

    /**
     * Get email_address
     * @return string|null
     */
    public function getEmailAddress();

    /**
     * Set email_address
     * @param string $emailAddress
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setEmailAddress($emailAddress);

    /**
     * Get company
     * @return string|null
     */
    public function getCompany();

    /**
     * Set company
     * @param string $company
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setCompany($company);

    /**
     * Get contact_name
     * @return string|null
     */
    public function getContactName();

    /**
     * Set contact_name
     * @param string $contactName
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setContactName($contactName);

    /**
     * Get phone
     * @return string|null
     */
    public function getPhone();

    /**
     * Set phone
     * @param string $phone
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setPhone($phone);

    /**
     * Get house_number
     * @return string|null
     */
    public function getHouseNumber();

    /**
     * Set house_number
     * @param string $houseNumber
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setHouseNumber($houseNumber);

    /**
     * Get street
     * @return string|null
     */
    public function getStreet();

    /**
     * Set street
     * @param string $street
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setStreet($street);

    /**
     * Get city
     * @return string|null
     */
    public function getCity();

    /**
     * Set city
     * @param string $city
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setCity($city);

    /**
     * Get county
     * @return string|null
     */
    public function getCounty();

    /**
     * Set county
     * @param string $county
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setCounty($county);

    /**
     * Get post_code
     * @return string|null
     */
    public function getPostCode();

    /**
     * Set post_code
     * @param string $postCode
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setPostCode($postCode);

    /**
     * Get country
     * @return string|null
     */
    public function getCountry();

    /**
     * Set country
     * @param string $country
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setCountry($country);

    /**
     * Get method
     * @return string|null
     */
    public function getMethod();

    /**
     * Set method
     * @param string $method
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setMethod($method);

    /**
     * Get first_email_address
     * @return string|null
     */
    public function getFirstEmailAddress();

    /**
     * Set first_email_address
     * @param string $firstEmailAddress
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setFirstEmailAddress($firstEmailAddress);

    /**
     * Get second_email_address
     * @return string|null
     */
    public function getSecondEmailAddress();

    /**
     * Set second_email_address
     * @param string $secondEmailAddress
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setSecondEmailAddress($secondEmailAddress);

    /**
     * Get feed_name
     * @return string|null
     */
    public function getFeedName();

    /**
     * Set feed_name
     * @param string $feedName
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setFeedName($feedName);

    /**
     * Get output_directory
     * @return string|null
     */
    public function getOutputDirectory();

    /**
     * Set output_directory
     * @param string $outputDirectory
     * @return \Pinpoint\DropShipping\Api\Data\SupplierInterface
     */
    public function setOutputDirectory($outputDirectory);
}

